Package: org.codehaus.groovy.classgen.asm

## [Java] Class BinaryFloatExpressionHelper

- org.codehaus.groovy.classgen.asm.BinaryFloatExpressionHelper

- Authors:
    Jochen "blackdrag" Theodorou

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BinaryExpressionWriter` | `stdCompareCodes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryFloatExpressionHelper (WriterController controller)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)`
    `protected MethodCaller` | `getArrayGetCaller()`
    `protected MethodCaller` | `getArraySetCaller()`
    `protected int` | `getBitwiseOperationBytecode(int type)`
    `protected int` | `getCompareCode()`
    `protected ClassNode` | `getDevisionOpResultType()`
    `protected ClassNode` | `getNormalOpResultType()`
    `protected int` | `getShiftOperationBytecode(int type)`
    `protected int` | `getStandardOperationBytecode(int type)`
    `protected void` | `removeTwoOperands(org.objectweb.asm.MethodVisitor mv)`
    `protected boolean` | `writeBitwiseOp(int type, boolean simulate)`
    `protected void` | `writeMinusMinus(org.objectweb.asm.MethodVisitor mv)`
    `protected void` | `writePlusPlus(org.objectweb.asm.MethodVisitor mv)`
    `protected boolean` | `writeShiftOp(int type, boolean simulate)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BinaryExpressionWriter` | `arrayGet, arraySet, doubleTwoOperands, getArrayGetCaller, getArrayGetResultType, getArraySetCaller, getBitwiseOperationBytecode, getCompareCode, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, supportsDivision, write, writeBitwiseOp, writeDivision, writeMinusMinus, writePlusPlus, writePostOrPrefixMethod, writeShiftOp, writeSpaceship, writeStdCompare, writeStdOperators`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public BinaryFloatExpressionHelper(WriterController controller)

  - ### Method Detail

    - #### protected void doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)

    - #### protected MethodCaller getArrayGetCaller()

    - #### protected MethodCaller getArraySetCaller()

    - #### protected int getBitwiseOperationBytecode(int type)

    - #### protected int getCompareCode()

    - #### protected ClassNode getDevisionOpResultType()

    - #### protected ClassNode getNormalOpResultType()

    - #### protected int getShiftOperationBytecode(int type)

    - #### protected int getStandardOperationBytecode(int type)

    - #### protected void removeTwoOperands(org.objectweb.asm.MethodVisitor mv)

    - #### protected boolean writeBitwiseOp(int type, boolean simulate)

    - #### protected void writeMinusMinus(org.objectweb.asm.MethodVisitor mv)

    - #### protected void writePlusPlus(org.objectweb.asm.MethodVisitor mv)

    - #### protected boolean writeShiftOp(int type, boolean simulate)